org.eclipse.aether.resolution

## Class ArtifactDescriptorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.resolution.ArtifactDescriptorException

- All Implemented Interfaces:
    Serializable

      public class ArtifactDescriptorException
      extends RepositoryException

  Thrown in case of an unreadable or unresolvable artifact descriptor.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactDescriptorException(ArtifactDescriptorResult result)` Creates a new exception with the specified result.
    `ArtifactDescriptorException(ArtifactDescriptorResult result, String message)` Creates a new exception with the specified result and detail message.
    `ArtifactDescriptorException(ArtifactDescriptorResult result, String message, Throwable cause)` Creates a new exception with the specified result, detail message and cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArtifactDescriptorResult` | `getResult()` Gets the descriptor result at the point the exception occurred.

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactDescriptorException

          public ArtifactDescriptorException(ArtifactDescriptorResult result)

      Creates a new exception with the specified result.
      Parameters:
        `result` - The descriptor result at the point the exception occurred, may be `null`.

    - #### ArtifactDescriptorException

          public ArtifactDescriptorException(ArtifactDescriptorResult result,
                                     String message)

      Creates a new exception with the specified result and detail message.
      Parameters:
        `result` - The descriptor result at the point the exception occurred, may be `null`.
        `message` - The detail message, may be `null`.

    - #### ArtifactDescriptorException

          public ArtifactDescriptorException(ArtifactDescriptorResult result,
                                     String message,
                                     Throwable cause)

      Creates a new exception with the specified result, detail message and cause.
      Parameters:
        `result` - The descriptor result at the point the exception occurred, may be `null`.
        `message` - The detail message, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

  - ### Method Detail

    - #### getResult

          public ArtifactDescriptorResult getResult()

      Gets the descriptor result at the point the exception occurred. Despite being incomplete, callers might want to use this result to fail gracefully and continue their operation with whatever interim data has been gathered.
      Returns:
        The descriptor result or `null` if unknown.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.